-- name: [CS] SAMUS
-- description: Samus Aran on a  mission to collect the baby metroids from Bowser  \n\n\\#ff7777\\This Pack requires Character Select\nto use as a Library!



local E_MODEL_SAMUS = smlua_model_util_get_id("samus_geo")

local TEX_SAMUS = get_texture_info("samus_icon")

local TEXT_MOD_NAME = "[CS] SAMUS"

local VOICETABLE_SAMUS = {
    [CHAR_SOUND_ATTACKED] = 'attacked.ogg',
    [CHAR_SOUND_DOH] = 'doh.ogg',
    [CHAR_SOUND_DROWNING] = 'drowning.ogg',
    [CHAR_SOUND_DYING] = 'dying.ogg',
    [CHAR_SOUND_EEUH] = 'hrmm.ogg',
    [CHAR_SOUND_GROUND_POUND_WAH] = 'ground_pound_wah.ogg',
    [CHAR_SOUND_HAHA] = 'haha.ogg',
    [CHAR_SOUND_HERE_WE_GO] = 'here_we_go.ogg',
    [CHAR_SOUND_HOOHOO] = 'hoohoo.ogg',
    [CHAR_SOUND_HRMM] = 'hrmm.ogg',
    [CHAR_SOUND_MAMA_MIA] = 'mamamia.ogg',
    [CHAR_SOUND_ON_FIRE] = 'dying.ogg',
    [CHAR_SOUND_OOOF] = 'ooof.ogg',
    [CHAR_SOUND_OOOF2] = 'ooof.ogg',
    [CHAR_SOUND_PUNCH_HOO] = 'punch_hoo.ogg',
    [CHAR_SOUND_PUNCH_WAH] = 'punch_wah.ogg',
    [CHAR_SOUND_PUNCH_YAH] = 'punch_yah.ogg',
    [CHAR_SOUND_TWIRL_BOUNCE] = 'twirl_bounce.ogg',
    [CHAR_SOUND_UH] = 'uh.ogg',
    [CHAR_SOUND_UH2] = 'uh.ogg',
    [CHAR_SOUND_UH2_2] = 'uh.ogg',
    [CHAR_SOUND_WAAAOOOW] = 'waaaooow.ogg',
    [CHAR_SOUND_YAH_WAH_HOO] = 'yah_wah_hoo.ogg',
    [CHAR_SOUND_YAHOO] = 'yahoo.ogg',
    [CHAR_SOUND_YAHOO_WAHA_YIPPEE] = 'yahoo_waha_yipee.ogg',
    [CHAR_SOUND_LETS_A_GO] = 'so_longa_bowser.ogg',
    [CHAR_SOUND_SO_LONGA_BOWSER] = 'so_longa_bowser.ogg',
    [CHAR_SOUND_WHOA] = 'whoa.ogg',
    [CHAR_SOUND_YAWNING] = 'yawning.ogg',
    [CHAR_SOUND_HERE_WE_GO] = 'here_we_go.ogg',
    [CHAR_SOUND_PANTING] = 'panting.ogg',
}

local E_MODEL_STAR_SAMUS = smlua_model_util_get_id("metroid_geo")
local TEX_STAR_SAMUS = get_texture_info("metroid_icon")

local PALETTE_SAMUS = {
    [SHIRT] = "FF7B00",
    [SHOES] = "ffffff",
    [HAIR] = "FFEA00",
    [CAP] = "FF0000",
    [PANTS] = "FFEA00",
    [GLOVES] = "ffffff",
    [SKIN] = "D5B388",
    [EMBLEM] = "7C9100",
}

if _G.charSelectExists then
    CT_SAMUS = _G.charSelect.character_add("SAMUS ARAN", "The toughest Bounty Hunter in the galaxy. Fighting the scariest monsters and space pirates without ever flinching.", "Melzinoff", {r = 255, g = 200, b = 200}, E_MODEL_SAMUS, CT_MARIO, TEX_SAMUS)


    _G.charSelect.character_add_palette_preset(E_MODEL_SAMUS, PALETTE_SAMUS)

    _G.charSelect.character_add_celebration_star(E_MODEL_SAMUS, E_MODEL_STAR_SAMUS, TEX_STAR_SAMUS)


    -- the following must be hooked for each character added
    _G.charSelect.character_add_voice(E_MODEL_SAMUS, VOICETABLE_SAMUS)

    hook_event(HOOK_CHARACTER_SOUND, function (m, sound)
        if _G.charSelect.character_get_voice(m) == VOICETABLE_SAMUS then return _G.charSelect.voice.sound(m, sound) end
    end)
    hook_event(HOOK_MARIO_UPDATE, function (m)
        if _G.charSelect.character_get_voice(m) == VOICETABLE_SAMUS then return _G.charSelect.voice.snore(m) end
    end)
else
    djui_popup_create("\\#ffffdc\\\n"..TEXT_MOD_NAME.."\nRequires the Character Select Mod\nto use as a Library!\n\nPlease turn on the Character Select Mod\nand Restart the Room!", 6)
end
